Attribute VB_Name = "MainModule"
'Option Explicit
Public fMainForm As frmMain

Const TC_VPLAN = 1
Const TC_VLEFT = 2
Const TC_VRIGHT = 3
Const TC_VFRONT = 4
Const TC_VBOTTOM = 5
Const TC_VISO_SE = 6
Const TC_VISO_SW = 7
Const TC_VISO_NE = 8
Const TC_VISO_NW = 9
Global Const imsiSnapVertex = 8
Global Const imsiSnapMiddle = 32

Global xtcApp As IMSIGX.XApplication
'Global Rs As Renders
Global xtcDr As IMSIGX.XDrawing
Global pViews As IMSIGX.Views
Global V As View
Global Drs As Drawings
Global gxView As View
Global bInit As Boolean
Type POINTAPI
    X As Long
    Y As Long
End Type
Public Declare Function ClientToScreen Lib "user32" (ByVal hwnd As Long, lpPoint As POINTAPI) As Long


Sub Main()
    frmSplash.Show
    frmSplash.Refresh
    bInit = False
    Call InitTCApp
    'Set fMainForm = New frmMain
    'Load fMainForm
    Unload frmSplash

    'fMainForm.Show
    frmMain.Show
    'Call DestroyAll
End Sub




Sub LoadResStrings(frm As Form)
    On Error Resume Next


    Dim ctl As Control
    Dim obj As Object
    Dim fnt As Object
    Dim sCtlType As String
    Dim nVal As Integer


    'set the form's caption
    frm.Caption = LoadResString(CInt(frm.Tag))
    

    'set the font
    Set fnt = frm.Font
    fnt.Name = LoadResString(20)
    fnt.Size = CInt(LoadResString(21))
    

    'set the controls' captions using the caption
    'property for menu items and the Tag property
    'for all other controls
    For Each ctl In frm.Controls
        Set ctl.Font = fnt
        sCtlType = TypeName(ctl)
        If sCtlType = "Label" Then
            ctl.Caption = LoadResString(CInt(ctl.Tag))
        ElseIf sCtlType = "Menu" Then
            ctl.Caption = LoadResString(CInt(ctl.Caption))
        ElseIf sCtlType = "TabStrip" Then
            For Each obj In ctl.Tabs
                obj.Caption = LoadResString(CInt(obj.Tag))
                obj.ToolTipText = LoadResString(CInt(obj.ToolTipText))
            Next
        ElseIf sCtlType = "Toolbar" Then
            For Each obj In ctl.Buttons
                obj.ToolTipText = LoadResString(CInt(obj.ToolTipText))
            Next
        ElseIf sCtlType = "ListView" Then
            For Each obj In ctl.ColumnHeaders
                obj.Text = LoadResString(CInt(obj.Tag))
            Next
        Else
            nVal = 0
            nVal = Val(ctl.Tag)
            If nVal > 0 Then ctl.Caption = LoadResString(nVal)
            nVal = 0
            nVal = Val(ctl.ToolTipText)
            If nVal > 0 Then ctl.ToolTipText = LoadResString(nVal)
        End If
    Next


End Sub

