VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "clsEvents"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'******************************************************************'
'*                                                                *'
'*                      TurboCAD for Windows                      *'
'*                   Copyright (c) 1993 - 2001                    *'
'*             International Microcomputer Software, Inc.         *'
'*                            (IMSI)                              *'
'*                      All rights reserved.                      *'
'*                                                                *'
'******************************************************************'

Option Explicit

Public Sub BeforeDoubleClick(ByVal WhichDrawing As IMSIGX.Drawing, ByVal WhichView As IMSIGX.View, ByVal WhichWindow As IMSIGX.Window, ByVal Sel As IMSIGX.Selection, Cancel As IMSIGX.IMSI_BOOL)
    Debug.Print "BeforeDoubleClick"
    Cancel = False
End Sub

Public Sub BeforeExit(ByVal TheApp As IMSIGX.Application, Cancel As IMSIGX.IMSI_BOOL)
    Debug.Print "BeforeExit"
    Cancel = False
End Sub

Public Sub BeforeRightClick(ByVal WhichDrawing As IMSIGX.Drawing, ByVal WhichView As IMSIGX.View, ByVal WhichWindow As IMSIGX.Window, ByVal Sel As IMSIGX.Selection, Cancel As IMSIGX.IMSI_BOOL)
    Debug.Print "BeforeRightClick"
    Cancel = False
End Sub

Public Sub DrawingActivate(ByVal WhichDrawing As IMSIGX.Drawing)
    Debug.Print "DrawingActivate"
End Sub

Public Sub DrawingBeforeClose(ByVal WhichDrawing As IMSIGX.Drawing, Cancel As IMSIGX.IMSI_BOOL)
    Debug.Print "DrawingBeforeClose"
    Cancel = False
End Sub

Public Sub DrawingBeforeSave(ByVal WhichDrawing As IMSIGX.Drawing, SaveAs As IMSIGX.IMSI_BOOL, Cancel As IMSIGX.IMSI_BOOL)
    Debug.Print "DrawingBeforeSave " & CStr(SaveAs)
    Cancel = False
End Sub

Public Sub DrawingAfterSave(ByVal WhichDrawing As IMSIGX.Drawing)
    Debug.Print "DrawingAfterSave"
End Sub

Public Sub DrawingDeactivate(ByVal WhichDrawing As IMSIGX.Drawing)
    Debug.Print "DrawingDeactivate"
End Sub

Public Sub DrawingNew(ByVal WhichDrawing As IMSIGX.Drawing)
    Debug.Print "DrawingNew"
End Sub

Public Sub DrawingOpen(ByVal WhichDrawing As IMSIGX.Drawing)
    Debug.Print "DrawingOpen"
End Sub

Public Sub Drop(ByVal WhichDrawing As IMSIGX.Drawing, ByVal WhichView As IMSIGX.View, ByVal WhichWindow As IMSIGX.Window, ByVal Sel As IMSIGX.Selection)
    Debug.Print "Drop"
End Sub

Public Sub MouseDown(ByVal WhichDrawing As IMSIGX.Drawing, ByVal WhichView As IMSIGX.View, ByVal WhichWindow As IMSIGX.Window, ByVal Button As IMSIGX.ImsiMouseButton, ByVal Shift As Long, ByVal X As Long, ByVal Y As Long, Cancel As IMSIGX.IMSI_BOOL)
    Debug.Print "MouseDown " & X & ", " & Y
    Cancel = False
End Sub

Public Sub MouseMove(ByVal WhichDrawing As IMSIGX.Drawing, ByVal WhichView As IMSIGX.View, ByVal WhichWindow As IMSIGX.Window, ByVal Shift As Long, ByVal X As Long, ByVal Y As Long, Cancel As IMSIGX.IMSI_BOOL)
    Debug.Print "MouseMove " & X & ", " & Y
    Cancel = False
End Sub

Public Sub MouseUp(ByVal WhichDrawing As IMSIGX.Drawing, ByVal WhichView As IMSIGX.View, ByVal WhichWindow As IMSIGX.Window, ByVal Button As IMSIGX.ImsiMouseButton, ByVal Shift As Long, ByVal X As Long, ByVal Y As Long, Cancel As IMSIGX.IMSI_BOOL)
    Debug.Print "MouseUp " & X & ", " & Y
    Cancel = False
End Sub

Public Sub RunTool(ByVal WhichTool As IMSIGX.Tool)
    Debug.Print "RunTool"
End Sub

Public Sub SelectionChange(ByVal WhichDrawing As IMSIGX.Drawing, ByVal WhichView As IMSIGX.View, ByVal WhichWindow As IMSIGX.Window, ByVal Sel As IMSIGX.Selection)
    Debug.Print "SelectionChange"
End Sub


