Attribute VB_Name = "modNuts"
'******************************************************************'
'*                                                                *'
'*                      TurboCAD for Windows                      *'
'*                   Copyright (c) 1993 - 2001                    *'
'*             International Microcomputer Software, Inc.         *'
'*                            (IMSI)                              *'
'*                      All rights reserved.                      *'
'*                                                                *'
'******************************************************************'

' This sample creates some types of Nuts
'DBAPI constants
Const gkGraphic = 11
Const gkGroup = 7
Const gkArc = 2
Const gkText = 6
Const gfCosmetic = 128&

'Useful math constants
Const Pi# = 3.14159265
' Hex Nut  Hex Nut  Hex Nut  Hex Nut  Hex Nut  Hex Nut  Hex Nut
' Hex Nut  Hex Nut  Hex Nut  Hex Nut  Hex Nut  Hex Nut  Hex Nut

Public Sub HEXNUT()

Dim App As Application
Dim ActDr As Drawing
Dim Grs As Graphics
Dim Gr As Graphic
Dim grfChild As Graphic
    Set App = IMSIGX.Application
    Set ActDr = App.ActiveDrawing
    Set Grs = ActDr.Graphics
    Set Gr = Grs.Add(gkGroup)

Dim X0#, Y0#, X1#, Y1#, t#
Dim D#, L#, E#, F#, s#, del#, dd#
Dim W#, H#

    X0# = 2#
    Y0# = 2#
    frmNuts.Image1.Visible = True
    frmNuts.Image2.Visible = False
    frmNuts.Image3.Visible = False
    frmNuts.Show
    dd = CDbl(frmNuts.TextBox1.Text)
    D# = 1.8 * dd#
    L# = 0.875 * dd#
    E# = 0.8 * L#
    F# = D# / 4#
    s# = (L# - E#) / 2#
' adds child graphics to the graphic - Gr
    Set grfChild = Gr.Graphics.Add(gkGraphic)
            ' add vertices to the child
    With grfChild.Vertices
        .Add X0#, Y0# - D# / 2# + s#, 0
        .Add X0#, Y0# + D# / 2# - s#, 0, True
        .Add X0# + s#, Y0# + D# / 2#, 0, True
        .Add X0# + L# - s#, Y0# + D# / 2#, 0, True
                    
        .Add X0# + L#, Y0# + D# / 2# - s#, 0
        .Add X0# + L#, Y0# - D# / 2# + s#, 0, True
        .Add X0# + L# - s#, Y0# - D# / 2#, 0, True
        .Add X0# + s#, Y0# - D# / 2#, 0, True
        .Add X0#, Y0# - D# / 2# + s#, 0, True
    End With
                
    Set grfChild = Gr.Graphics.Add(gkGraphic)
            ' add vertices to the child
    With grfChild.Vertices
        .Add X0# + s#, Y0# + F#, 0
        .Add X0# + L# - s#, Y0# + F#, 0, True
    End With
                
    Set grfChild = Gr.Graphics.Add(gkGraphic)
            ' add vertices to the child
    With grfChild.Vertices
        .Add X0# + s#, Y0# - F#, 0
        .Add X0# + L# - s#, Y0# - F#, 0, True
    End With
    Set grfChild = Gr.Graphics.AddArcTriplePoint(X0# + s#, Y0# - D# / 2#, 0, X0#, Y0# - (D# / 2# + F#) / 2#, 0, X0# + s#, Y0# - F#, 0)
    Set grfChild = Gr.Graphics.AddArcTriplePoint(X0# + s#, Y0# - F#, 0, X0#, Y0#, 0, X0# + s#, Y0# + F#, 0)
    Set grfChild = Gr.Graphics.AddArcTriplePoint(X0# + s#, Y0# + F#, 0, X0#, Y0# + (D# / 2# + F#) / 2#, 0, X0# + s#, Y0# + D# / 2#, 0)
    Set grfChild = Gr.Graphics.AddArcTriplePoint(X0# + L# - s#, Y0# - D# / 2#, 0, X0# + L#, Y0# - (D# / 2# + F#) / 2#, 0, X0# + L# - s#, Y0# - F#, 0)
    Set grfChild = Gr.Graphics.AddArcTriplePoint(X0# + L# - s#, Y0# - F#, 0, X0# + L#, Y0#, 0, X0# + L# - s#, Y0# + F#, 0)
    Set grfChild = Gr.Graphics.AddArcTriplePoint(X0# + L# - s#, Y0# + F#, 0, X0# + L#, Y0# + (D# / 2# + F#) / 2#, 0, X0# + L# - s#, Y0# + D# / 2#, 0)
    ActDr.Views(0).Refresh
End Sub


' Low Crown Nut  Low Crown Nut  Low Crown Nut  Low Crown Nut
' Low Crown Nut  Low Crown Nut  Low Crown Nut  Low Crown Nut

Public Sub LOWCROWNNUT()

Dim App As Application
Dim ActDr As Drawing
Dim Grs As Graphics
Dim Gr As Graphic
Dim grfChild As Graphic
    Set App = IMSIGX.Application
    Set ActDr = App.ActiveDrawing
    Set Grs = ActDr.Graphics
    Set Gr = Grs.Add(gkGroup)
    
    'Add child Graphics
Dim X0#, Y0#, X1#, Y1#, t#
Dim D#, L#, E#, F#, s#, del#, dd#
Dim W#, H#, a#
    
    X0# = 2#
    Y0# = 2#
    frmNuts.Image1.Visible = False
    frmNuts.Image2.Visible = True
    frmNuts.Image3.Visible = False
    frmNuts.Show
    dd = CDbl(frmNuts.TextBox1.Text)

    D# = 1.66 * dd#
    L# = 0.72 * dd#
    E# = 0.8 * L#
    F# = D# / 4#
    s# = (L# - E#) / 2#
    H# = 1.55 * dd#
    a# = 1.41 * dd#
         
    '1
     Set grfChild = Gr.Graphics.AddLineSingle(X0, Y0 - D / 2# + s, 0, X0, Y0 + D / 2# - s, 0)
    '2
     Set grfChild = Gr.Graphics.AddLineSingle(X0, Y0 + D / 2# - s, 0, X0 + s, Y0 + D / 2#, 0)
    '3
     Set grfChild = Gr.Graphics.AddLineSingle(X0 + s, Y0 + D / 2#, 0, X0 + L - s, Y0 + D / 2#, 0)
    '4
     Set grfChild = Gr.Graphics.AddLineSingle(X0 + L - s, Y0 + D / 2#, 0, X0 + L, Y0 + D / 2# - s, 0)
    '5
     'Set grfChild = grfThis.Graphics.AddLineSingle(X0 + L, Y0 + D / 2# - S, 0, X0 + L, Y0 - D / 2# + S, 0)
     Set grfChild = Gr.Graphics.AddArcEllipticalFixedRatio(X0 + L, Y0, 0#, X0 + L, Y0 + a / 2#, 0#, (H - L) / (a / 2#), -Pi / 2#, Pi / 2#)
    '6
     Set grfChild = Gr.Graphics.AddLineSingle(X0 + L, Y0 - D / 2# + s, 0, X0 + L - s, Y0 - D / 2#, 0)
    '7
     Set grfChild = Gr.Graphics.AddLineSingle(X0 + L - s, Y0 - D / 2#, 0, X0 + s, Y0 - D / 2#, 0)
    '8
     Set grfChild = Gr.Graphics.AddLineSingle(X0 + s, Y0 - D / 2#, 0, X0, Y0 - D / 2# + s, 0)
    '9
     Set grfChild = Gr.Graphics.AddLineSingle(X0 + s, Y0 + F, 0, X0 + L - s, Y0 + F, 0)
    '9
     Set grfChild = Gr.Graphics.AddLineSingle(X0 + s, Y0 - F, 0, X0 + L - s, Y0 - F, 0)
                    
                    
     Set grfChild = Gr.Graphics.AddArcTriplePoint(X0 + s, Y0 - D / 2#, 0, X0, Y0 - (D / 2# + F) / 2#, 0, X0 + s, Y0 - F, 0)
     Set grfChild = Gr.Graphics.AddArcTriplePoint(X0 + s, Y0 - F, 0, X0, Y0, 0, X0 + s, Y0 + F, 0)
     Set grfChild = Gr.Graphics.AddArcTriplePoint(X0 + s, Y0 + F, 0, X0, Y0 + (D / 2# + F) / 2#, 0, X0 + s, Y0 + D / 2#, 0)
     Set grfChild = Gr.Graphics.AddArcTriplePoint(X0 + L - s, Y0 - D / 2#, 0, X0 + L, Y0 - (D / 2# + F) / 2#, 0, X0 + L - s, Y0 - F, 0)
     Set grfChild = Gr.Graphics.AddArcTriplePoint(X0 + L - s, Y0 - F, 0, X0 + L, Y0, 0, X0 + L - s, Y0 + F, 0)
     Set grfChild = Gr.Graphics.AddArcTriplePoint(X0 + L - s, Y0 + F, 0, X0 + L, Y0 + (D / 2# + F) / 2#, 0, X0 + L - s, Y0 + D / 2#, 0)
    ActDr.Views(0).Refresh
End Sub


' Hex Slotted Nut  Hex Slotted Nut  Hex Slotted Nut  Hex Slotted Nut
' Hex Slotted Nut  Hex Slotted Nut  Hex Slotted Nut  Hex Slotted Nut


Public Sub HEXSLOTTEDNUT()
Dim App As Application
Dim ActDr As Drawing
Dim Grs As Graphics
Dim Gr As Graphic
Dim grfChild As Graphic
    Set App = IMSIGX.Application
    Set ActDr = App.ActiveDrawing
    Set Grs = ActDr.Graphics
    Set Gr = Grs.Add(gkGroup)

    
    'Add child Graphics
Dim X0#, Y0#, t#
Dim D#, L#, E#, F#, s#, del#, dd#
Dim W#, H#, J#

    X0# = 2#
    Y0# = 2#

    frmNuts.Image1.Visible = False
    frmNuts.Image2.Visible = False
    frmNuts.Image3.Visible = True
    frmNuts.Show
    dd = CDbl(frmNuts.TextBox1.Text)
    
    D# = 1.8 * dd#
    L# = 0.875 * dd#
    E# = 0.8 * L#
    F# = D# / 4#
    s# = (L# - E#) / 2#
    J# = 0.3 * dd#
    H# = 0.3 * dd#
                

'1
 Set grfChild = Gr.Graphics.AddLineSingle(X0, Y0 - D / 2# + s, 0, X0, Y0 + D / 2# - s, 0)
'2
 Set grfChild = Gr.Graphics.AddLineSingle(X0, Y0 + D / 2# - s, 0, X0 + s, Y0 + D / 2#, 0)
'3
 Set grfChild = Gr.Graphics.AddLineSingle(X0, Y0 - D / 2# + s, 0, X0 + s, Y0 - D / 2#, 0)
'4
 Set grfChild = Gr.Graphics.AddLineSingle(X0 + s, Y0 + D / 2#, 0, X0 + L - s, Y0 + D / 2#, 0)
'5
 Set grfChild = Gr.Graphics.AddLineSingle(X0 + s, Y0 - D / 2#, 0, X0 + L - s, Y0 - D / 2#, 0)
'6
 Set grfChild = Gr.Graphics.AddLineSingle(X0 + L - s, Y0 + D / 2#, 0, X0 + L, Y0 + D / 2# - s, 0)
'7
 Set grfChild = Gr.Graphics.AddLineSingle(X0 + L - s, Y0 - D / 2#, 0, X0 + L, Y0 - D / 2# + s, 0)
'8
 Set grfChild = Gr.Graphics.AddLineSingle(X0 + L, Y0 + D / 2# - s, 0, X0 + L, Y0 + J / 2#, 0)
'9
 Set grfChild = Gr.Graphics.AddLineSingle(X0 + L, Y0 - D / 2# + s, 0, X0 + L, Y0 - J / 2#, 0)
'10
 Set grfChild = Gr.Graphics.AddLineSingle(X0 + s, Y0 + F, 0, X0 + L - s, Y0 + F, 0)
'11
 Set grfChild = Gr.Graphics.AddLineSingle(X0 + s, Y0 - F, 0, X0 + L - s, Y0 - F, 0)
'12
 Set grfChild = Gr.Graphics.AddArcTriplePoint(X0 + s, Y0 + D / 2#, 0, X0, Y0 + (D / 2# + F) / 2#, 0, X0 + s, Y0 + F, 0)
'13
 Set grfChild = Gr.Graphics.AddArcTriplePoint(X0 + s, Y0 - D / 2#, 0, X0, Y0 - (D / 2# + F) / 2#, 0, X0 + s, Y0 - F, 0)
'14
 Set grfChild = Gr.Graphics.AddArcTriplePoint(X0 + s, Y0 + F, 0, X0, Y0, 0, X0 + s, Y0 - F, 0)
'15
 Set grfChild = Gr.Graphics.AddArcTriplePoint(X0 + L - s, Y0 + D / 2#, 0, X0 + L, Y0 + (D / 2 + F) / 2#, 0, X0 + L - s, Y0 + F, 0)
'16
 Set grfChild = Gr.Graphics.AddArcTriplePoint(X0 + L - s, Y0 - D / 2#, 0, X0 + L, Y0 - (D / 2# + F) / 2#, 0, X0 + L - s, Y0 - F, 0)
'17
 Set grfChild = Gr.Graphics.AddArcTriplePoint(X0 + L - s, Y0 + F, 0, X0 + L - 0.3 * s, Y0 + (J / 2# + F) / 2#, 0, X0 + L, Y0 + J / 2#, 0)
'18
 Set grfChild = Gr.Graphics.AddArcTriplePoint(X0 + L - s, Y0 - F, 0, X0 + L - 0.3 * s, Y0 - (J / 2# + F) / 2#, 0, X0 + L, Y0 - J / 2#, 0)
'19
 Set grfChild = Gr.Graphics.AddLineSingle(X0 + L, Y0 + 0.375 * D + J / 4#, 0, X0 + L - H + J / 4#, Y0 + 0.375 * D + J / 4#, 0)
'20
 Set grfChild = Gr.Graphics.AddLineSingle(X0 + L, Y0 + 0.375 * D - J / 4#, 0, X0 + L - H + J / 4#, Y0 + 0.375 * D - J / 4#, 0)
'21
 Set grfChild = Gr.Graphics.AddArcTriplePoint(X0 + L - H + J / 4#, Y0 + 0.375 * D + J / 4#, 0, X0 + L - H, Y0 + 0.375 * D, 0, X0 + L - H + J / 4#, Y0 + 0.375 * D - J / 4#, 0)
'22
 Set grfChild = Gr.Graphics.AddLineSingle(X0 + L, Y0 - 0.375 * D + J / 4#, 0, X0 + L - H + J / 4#, Y0 - 0.375 * D + J / 4#, 0)
'23
 Set grfChild = Gr.Graphics.AddLineSingle(X0 + L, Y0 - 0.375 * D - J / 4#, 0, X0 + L - H + J / 4#, Y0 - 0.375 * D - J / 4#, 0)
'24
 Set grfChild = Gr.Graphics.AddArcTriplePoint(X0 + L - H + J / 4#, Y0 - 0.375 * D + J / 4#, 0, X0 + L - H, Y0 - 0.375 * D, 0, X0 + L - H + J / 4#, Y0 - 0.375 * D - J / 4#, 0)
'25
 Set grfChild = Gr.Graphics.AddLineSingle(X0 + L, Y0 + J / 2#, 0, X0 + L - H + J / 2#, Y0 + J / 2#, 0)
'26
 Set grfChild = Gr.Graphics.AddLineSingle(X0 + L, Y0 - J / 2#, 0, X0 + L - H + J / 2#, Y0 - J / 2#, 0)
'27
 Set grfChild = Gr.Graphics.AddArcTriplePoint(X0 + L - H + J / 2#, Y0 + J / 2#, 0, X0 + L - H, Y0, 0, X0 + L - H + J / 2#, Y0 - J / 2#, 0)
    ActDr.Views(0).Refresh


End Sub

