VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} frmPropSel 
   Caption         =   "UserForm1"
   ClientHeight    =   3024
   ClientLeft      =   48
   ClientTop       =   336
   ClientWidth     =   5304
   OleObjectBlob   =   "frmPropSel.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "frmPropSel"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'******************************************************************'
'*                                                                *'
'*                      TurboCAD for Windows                      *'
'*                   Copyright (c) 1993 - 2001                    *'
'*             International Microcomputer Software, Inc.         *'
'*                            (IMSI)                              *'
'*                      All rights reserved.                      *'
'*                                                                *'
'******************************************************************'

Private Sub CommandButton1_Click()
    If PropValue.Text <> "Absent for this Graphic" Then
        GrSel.Properties.Item(GrPropName.Text).Value = CVar(PropValue.Text)
        Vi.Refresh
    End If
End Sub

Private Sub GrPropName_Click()
    On Error GoTo ErrorHandler
    PropValue.Enabled = True
Dim PrValue As Variant
    PrValue = GrSel.Properties.Item(GrPropName.Text)
    PropValue.Text = CStr(PrValue)
    If VarType(PrValue) = 2 Then
        Label4.Caption = "Integer"
    End If
    If VarType(PrValue) = 3 Then
        Label4.Caption = "Long"
    End If
    If VarType(PrValue) = 5 Then
        Label4.Caption = "Double"
    End If
    If VarType(PrValue) = 8 Then
        Label4.Caption = "String"
    End If
    If VarType(PrValue) = 11 Then
        Label4.Caption = "Boolean"
    End If
    If VarType(PrValue) = 12 Then
        Label4.Caption = "Variant"
    End If
    If VarType(PrValue) = 8192 Then
        Label4.Caption = "Array"
    End If
    If Right(GrPropName.Text, 5) = "Color" Then
        Color = PrValue
        frmColorPalette.Show
        PropValue.Text = CStr(Color)
    End If
    PenStyle.Visible = False
    If GrPropName.Text = "PenStyle" Then
        PenStyle.Visible = True
        PenStyle.Clear
        PenStyle.AddItem ("CONTINUOUS")
        PenStyle.AddItem ("Border")
        PenStyle.AddItem ("Center")
        PenStyle.AddItem ("DashDot")
        PenStyle.AddItem ("Dashed")
        PenStyle.AddItem ("Divide")
        PenStyle.AddItem ("Dot")
        PenStyle.AddItem ("Hidden")
        PenStyle.AddItem ("Phantom")
    End If
    If GrPropName.Text = "BrushStyle" Then
        PenStyle.Visible = True
        PenStyle.Clear
        PenStyle.AddItem ("None")
        PenStyle.AddItem ("Solid")
        PenStyle.AddItem ("L45")
        PenStyle.AddItem ("Gostak")
        PenStyle.AddItem ("IUS")
        PenStyle.AddItem ("B816")
        PenStyle.AddItem ("B816C")
        PenStyle.AddItem ("ARB88")
        PenStyle.AddItem ("BRELM")
    
        PenStyle.AddItem ("BRSTD")
        PenStyle.AddItem ("CONC")
        PenStyle.AddItem ("HBONE")
        PenStyle.AddItem ("PARK1")
        PenStyle.AddItem ("ANGLE")
        PenStyle.AddItem ("ANSI31")
        PenStyle.AddItem ("ANSI32")
        PenStyle.AddItem ("ANSI33")
        PenStyle.AddItem ("ANSI34")
    
        PenStyle.AddItem ("ANSI35")
        PenStyle.AddItem ("ANSI36")
        PenStyle.AddItem ("ANSI37")
        PenStyle.AddItem ("ANSI38")
        PenStyle.AddItem ("BRICK_8X16")
        PenStyle.AddItem ("BRICK_8X16C")
        PenStyle.AddItem ("BRICK_8X8")
        PenStyle.AddItem ("BR_ENGLISH")
        PenStyle.AddItem ("BR_STRECHER")
    
        PenStyle.AddItem ("BRICK")
        PenStyle.AddItem ("BRICK_STONE")
        PenStyle.AddItem ("CONCRETE_1")
        PenStyle.AddItem ("CONCRETE_2")
        PenStyle.AddItem ("HERRINGBONE1")
        PenStyle.AddItem ("HERRINGBONE2")
        PenStyle.AddItem ("PARQUET1")
        PenStyle.AddItem ("PARQUETTE1")
        PenStyle.AddItem ("SHINGLE")
    
        PenStyle.AddItem ("SHAKER")
        PenStyle.AddItem ("SAND")
        PenStyle.AddItem ("BOX")
        PenStyle.AddItem ("BRASS")
        PenStyle.AddItem ("CLAY")
        PenStyle.AddItem ("CORK")
        PenStyle.AddItem ("CROSS")
        PenStyle.AddItem ("DASH")
        PenStyle.AddItem ("ROCK_LAYER")
    
        PenStyle.AddItem ("DOTS")
        PenStyle.AddItem ("EARTH")
        PenStyle.AddItem ("EACHER")
        PenStyle.AddItem ("FLEX")
        PenStyle.AddItem ("GRASS")
        PenStyle.AddItem ("GRATE")
        PenStyle.AddItem ("HEXAGONS")
        PenStyle.AddItem ("HONEYCOMB")
        PenStyle.AddItem ("HOUNDSTOOTH")
    End If
    
    Exit Sub
ErrorHandler:
    PropValue.Text = "Absent for this Graphic"
    PropValue.Enabled = False
End Sub

Private Sub PenStyle_Click()
    PropValue.Text = PenStyle.Text
    GrSel.Properties.Item(GrPropName.Text).Value = CVar(PropValue.Text)
    Vi.Refresh

End Sub

