VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "IMSIGX  Server Example"
   ClientHeight    =   6870
   ClientLeft      =   60
   ClientTop       =   435
   ClientWidth     =   4170
   LinkTopic       =   "Form1"
   ScaleHeight     =   6870
   ScaleWidth      =   4170
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame1 
      Caption         =   "File Settings:"
      Height          =   4455
      Left            =   240
      TabIndex        =   2
      Top             =   1380
      Width           =   3615
      Begin VB.OptionButton Option1 
         Caption         =   "DWG"
         Height          =   210
         Index           =   3
         Left            =   1020
         TabIndex        =   13
         Top             =   3285
         Width           =   1065
      End
      Begin VB.OptionButton Option1 
         Caption         =   "TCW"
         Height          =   210
         Index           =   2
         Left            =   1005
         TabIndex        =   12
         Top             =   2925
         Width           =   1065
      End
      Begin VB.OptionButton Option1 
         Caption         =   "BMP"
         Height          =   210
         Index           =   1
         Left            =   150
         TabIndex        =   11
         Top             =   2940
         Value           =   -1  'True
         Width           =   1065
      End
      Begin VB.OptionButton Option1 
         Caption         =   "JPG"
         Height          =   210
         Index           =   0
         Left            =   120
         TabIndex        =   9
         Top             =   3285
         Width           =   1065
      End
      Begin VB.TextBox txtName 
         Height          =   345
         Left            =   150
         TabIndex        =   8
         Text            =   "IMSIGX_EXAMPLE"
         Top             =   2265
         Width           =   3135
      End
      Begin VB.DirListBox Dir1 
         Height          =   990
         Left            =   195
         TabIndex        =   6
         Top             =   900
         Width           =   3015
      End
      Begin VB.DriveListBox Drive1 
         Height          =   315
         Left            =   945
         TabIndex        =   4
         Top             =   225
         Width           =   1380
      End
      Begin VB.Label Label6 
         BackColor       =   &H00FFFFFF&
         BorderStyle     =   1  'Fixed Single
         Caption         =   "Label6"
         Height          =   375
         Left            =   75
         TabIndex        =   14
         Top             =   3975
         Width           =   3405
      End
      Begin VB.Label Label5 
         Caption         =   "File Type:"
         Height          =   300
         Left            =   150
         TabIndex        =   10
         Top             =   2685
         Width           =   2835
      End
      Begin VB.Label Label4 
         Caption         =   "Name (less extension):"
         Height          =   285
         Left            =   165
         TabIndex        =   7
         Top             =   1995
         Width           =   2790
      End
      Begin VB.Label Label3 
         Caption         =   "Folder:"
         Height          =   345
         Left            =   180
         TabIndex        =   5
         Top             =   630
         Width           =   1350
      End
      Begin VB.Label Label2 
         Caption         =   "Drive:"
         Height          =   330
         Left            =   240
         TabIndex        =   3
         Top             =   270
         Width           =   1155
      End
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Create File"
      Height          =   495
      Left            =   960
      TabIndex        =   0
      Top             =   6090
      Width           =   1860
   End
   Begin VB.Label Label1 
      Caption         =   $"Form1.frx":0000
      Height          =   1215
      Left            =   353
      TabIndex        =   1
      Top             =   135
      Width           =   3465
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim TcApp As Object
Dim Drs As Object
Dim Dr As Object
Dim Grs As Object
Dim Gr As Object
Dim fName As String
Dim sExt As String
Sub MakeTcadPic()
'using some code here from the TurboCAD SDK VB example "Preview"
Set TcApp = CreateObject("IMSIGX.Application.4")
If TcApp Is Nothing Then
        MsgBox "Could not start server.  " & Err.Description & "  Quitting."
        End
    Else
        Set Drs = TcApp.Drawings
        If Drs Is Nothing Then
            MsgBox "Bad server.  " & Err.Description & "  Quitting"
            End
        End If
    End If
Set Dr = Drs.Add
Set Grs = Dr.Graphics
Dim i As Integer
For i = 0 To 20
    Set Gr = Grs.AddCircleCenterAndPoint(0, 0, 0, 1 + i, 0, 0)
    Gr.properties("PenColor") = RGB(i * 12, 0, 255 - i * 12)
    Gr.properties("PenWidth") = i * 0.02
Next i

Set Gr = Grs.AddText("Image created with " & TcApp.Name, -20, -22, 0, 2.5)
Set Gr = Grs.AddText("Version " & TcApp.version, -10, -25, 0, 2.5)
On Error GoTo ErrHandler
Dr.SaveCopyAs fName

CleanUp
Exit Sub
ErrHandler:
    MsgBox Err.Number & "  " & Err.Description
CleanUp
    

End Sub

Private Sub Command1_Click()
MakeTcadPic

End Sub
Private Sub CleanUp()
Set Gr = Nothing
Set Grs = Nothing
Set Dr = Nothing
Set Drs = Nothing
Set TcApp = Nothing
End Sub

Private Sub Dir1_Change()
FileName
End Sub

Private Sub Drive1_Change()
Dir1.Path = Drive1.Drive
FileName
End Sub

Private Sub Form_Load()
Dir1.Path = "C:\"
sExt = "BMP"
FileName
End Sub
Private Sub FileName()
Dim sDir As String
If Right(Dir1.Path, 1) = "\" Then
    sDir = Dir1.Path
Else
    sDir = Dir1.Path & "\"
End If


fName = sDir & txtName.Text & "." & sExt
Label6.Caption = fName
End Sub

Private Sub Option1_Click(Index As Integer)
sExt = Option1(Index).Caption
FileName
End Sub

Private Sub txtName_Change()
FileName
End Sub
