
Option Explicit

Sub PrintExample()
    Dim gxVw As View
    Dim oldScaleMode As Long
    
    Dim width As Long
    Dim height As Long
    
    Dim dx As Long
    Dim dz As Long
    
    oldScaleMode = Printer.ScaleMode
    Printer.ScaleMode = 3 ' pixels
    
    Set gxVw = gxDwg1.Views.Add(, Printer.hDC)
    gxVw.Update = False
    
    Printer.Print " " ' initialize printer
    
    width = Printer.ScaleWidth
    height = Printer.ScaleHeight
    
    dx = width * 0.05
    dy = height * 0.05
    
    gxVw.ScreenTop = dx
    gxVw.ScreenLeft = dy
    gxVw.ScreenHeight = height * 0.9
    gxVw.ScreenWidth = width * 0.9
    gxVw.CenterOnExtents = True
    gxVw.FixedAspectRatio = True
    gxVw.MappingMode = 1
   
    gxVw.ZoomToExtents
    
    Printer.Line (1, 1)-(width - 1, 1)
    Printer.Line (width - 1, 1)-(width - 1, height - 1)
    Printer.Line (width - 1, height - 1)-(1, height - 1)
    Printer.Line (1, height - 1)-(1, 1)
    
    Printer.Line (dx, dy)-(width - dx, dy)
    Printer.Line (width - dx, dy)-(width - dx, height - dy)
    Printer.Line (width - dx, height - dy)-(dx, height - dy)
    Printer.Line (dx, height - dy)-(dx, dy)
    
    Printer.EndDoc
    gxVw.Delete
    
    Printer.ScaleMode = oldScaleMode ' pixels
End Sub