VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} frmRender 
   Caption         =   "Render Manager"
   ClientHeight    =   4380
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4440
   OleObjectBlob   =   "frmRender.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "frmRender"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cm_close_Click()
    Unload Me
End Sub

Private Sub cm_EndRender_Click()
    Set Rv = Dr.ActiveView.RenderView
    If Rv.IsRenderRunned Then
        Rv.EndRender
    Else
        MsgBox "There is no render runned in the active view !"
    End If
End Sub

Private Sub UserForm_Initialize()
    Set App = IMSIGX.Application
    Set Rs = App.Renders
    Set Dr = App.ActiveDrawing
    Set V = Dr.ActiveView
    Call FillTreeView
End Sub

Function RenderModeFromName(ByVal RenderModeName As String) As ImsiRenderMode
    If (RenderModeName = "Flat") Then
        RenderModeFromName = imsiRenderModeFlat
        Exit Function
    ElseIf (RenderModeName = "Gouraud") Then
        RenderModeFromName = imsiRenderModeGouraud
        Exit Function
    ElseIf (RenderModeName = "Phong") Then
        RenderModeFromName = imsiRenderModePhong
        Exit Function
    ElseIf (RenderModeName = "Preview") Then
        RenderModeFromName = imsiRenderModePreview
        Exit Function
    ElseIf (RenderModeName = "Full") Then
        RenderModeFromName = imsiRenderModeFull
        Exit Function
    ElseIf (RenderModeName = "Raytrace Preview") Then
        RenderModeFromName = imsiRenderModeRtPreview
        Exit Function
    ElseIf (RenderModeName = "Raytrace Full") Then
        RenderModeFromName = imsiRenderModeRtFull
        Exit Function
    ElseIf (RenderModeName = "Wireframe") Then
        RenderModeFromName = imsiRenderModeWireFrame
        Exit Function
    ElseIf (RenderModeName = "Hidden Line") Then
        RenderModeFromName = imsiRenderModeHiddenLine
        Exit Function
    ElseIf (RenderModeName = "Radiosity") Then
        RenderModeFromName = imsiRenderModeRadiosity
        Exit Function
    ElseIf (RenderModeName = "Radiosity") Then
        RenderModeFromName = imsiRenderModeRadiosity
        Exit Function
    ElseIf (RenderModeName = "LWOpenGL_Flat") Then
        RenderModeFromName = imsiRenderModeLWOpenGL_Flat
        Exit Function
    ElseIf (RenderModeName = "LWOpenGL_Smooth") Then
        RenderModeFromName = imsiRenderModeLWOpenGL_Smooth
        Exit Function
    ElseIf (RenderModeName = "LWOpenGL_Wire") Then
        RenderModeFromName = imsiRenderModeLWOpenGL_Wire
        Exit Function
    ElseIf (RenderModeName = "LWOpenGL_Wire_Color") Then
        RenderModeFromName = imsiRenderModeLWOpenGL_Wire_Color
        Exit Function
    ElseIf (RenderModeName = "LWOpenGL_Hidden") Then
        RenderModeFromName = imsiRenderModeLWOpenGL_Hidden
        Exit Function
    ElseIf (RenderModeName = "LWOpenGL_Hidden_Color") Then
        RenderModeFromName = imsiRenderModeLWOpenGL_Hidden_Color
        Exit Function
    End If

End Function

Private Function FillTreeView()
    Dim n As Long
    Dim N1 As node
    Dim RenderModes As Variant
    Dim ExRenderModes As Variant
    Dim res As Boolean
    Dim m As Long
    For n = 0 To Rs.count - 1
            Set N1 = TreeView1.Nodes.Add(, , , Rs(n).Name)
            Set R = Rs.Item(n)
            RenderModes = R.modes
            For m = 0 To UBound(RenderModes)
                TreeView1.Nodes.Add N1, tvwChild, , RenderModes(m)
            Next m
            N1.Expanded = True
    Next n

End Function

Private Sub TreeView1_NodeClick(ByVal node As node)
    Dim bRRunned As Boolean
    If Dr.ActiveView.SpaceMode = imsiPaperSpace Then
        MsgBox "Can't run Render in paper space. Switch to model space and try again. "
        Exit Sub
    End If
    If node.Children <> 0 Then Exit Sub
    Set R = Rs.Item(node.Parent.Text)
    R.DefaultMode = RenderModeFromName(node.Text)
    R.Run Dr.ActiveView
End Sub
