Attribute VB_Name = "IVertex"
'******************************************************************'
'*                                                                *'
'*                      TurboCAD for Windows                      *'
'*                   Copyright (c) 1993 - 2001                    *'
'*             International Microcomputer Software, Inc.         *'
'*                            (IMSI)                              *'
'*                      All rights reserved.                      *'
'*                                                                *'
'******************************************************************'

Public Sub Enumer()
    Dim g As Graphic, gg As Graphic
    Dim v As Vertex

    Set g = IMSIGX.ActiveDrawing.Selection(0) ' the very first one
    
    Dim s$()
    
    ReDim s$(g.Vertices.Count)
    
    For i = 0 To g.Vertices.Count - 1
        Set v = g.Vertices(i)
        s$(i) = Str(i) + Chr(9) + ": "
        s$(i) = s$(i) + Str(v.X) + "," + Str(v.Y) + "," + Str(v.Z)
        If v.Bulge Then s$(i) = s$(i) + ",Bulge:" + Str(v.Bulge)
        If v.Calculated Then s$(i) = s$(i) + ",Clcd"
        If v.Editable Then s$(i) = s$(i) + ",Edbl"
        If v.Linkable Then s$(i) = s$(i) + ",Lnkbl"
        If v.PenDown Then
            s$(i) = s$(i) + ",PenDn"
        Else
            s$(i) = s$(i) + ",PenUp"
        End If
        If v.Selectable Then s$(i) = s$(i) + ",Slctbl"
        If v.Snappable Then s$(i) = s$(i) + ",Snpbl"
        s$(i) = s$(i) + Chr(10)
        Set gg = IMSIGX.ActiveDrawing.Graphics.AddCircle(v.X, v.Y, v.Z)
    Next i
    Dim box As DialogBox
    Set box = New DialogBox
    box.Text.Caption = "Vertices:" + Chr(10)
    For i = 0 To g.Vertices.Count - 1
        box.Text.Caption = box.Text.Caption + s$(i)
    Next i
    box.Show
End Sub
